# Class JSOFA.TangentPointDirectionCosines

java.lang.Object
org.jastronomy.jsofa.JSOFA.TangentPointDirectionCosines

Enclosing class:
  `JSOFA`

public static class JSOFA.TangentPointDirectionCosines extends Object
Tangent point soutions as direction cosines. A container class for two possible solutiuons as well as an indication of the number of valid solutions.

Since:
  27 Mar 2018
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk)

## Field Summary

Fields
Modifier and Type
Field
Description
`double[]`
`dc1`
`double[]`
`dc2`
`int`
`nsolution`
nsolution.

## Constructor Summary

Constructors
Constructor
Description
`TangentPointDirectionCosines()`
`TangentPointDirectionCosines(double[] dc1, double[] dc2, int nsolution)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dc1

public double[] dc1

### dc2

public double[] dc2

### nsolution

public int nsolution
nsolution. number of valid solutions.

## Constructor Details

### TangentPointDirectionCosines

public TangentPointDirectionCosines(double[] dc1, double[] dc2, int nsolution)

Parameters:
  `dc1` - direction cosines
  `dc2` - direction cosines
  `nsolution` - number of valid solutions

### TangentPointDirectionCosines

public TangentPointDirectionCosines()